local constants = require "scripts.constants"

-- local gong = require "scripts.Gong"

print("ButtonGong\n")

local callIdStr;
local callCount = 0

callIdStr = GetVariable(constants.Target1CallUidVarName);
if callIdStr ~= "" then
	local callId = tonumber(callIdStr)
	local callState = GetCallState(callId)
	if callState == 6 then
		SwitchAudioSource2(callId, "aufile", "gong.wav")
		callCount = callCount + 1
	end
end

callIdStr = GetVariable(constants.Target2CallUidVarName);
if callIdStr ~= "" then
	-- print(string.format("Target 2 call uid = %s\n", callIdStr))
	local callId = tonumber(callIdStr)
	local callState = GetCallState(callId)
	if callState == 6 then
		SwitchAudioSource2(callId, "aufile", "gong.wav")
		callCount = callCount + 1
	end
end

callIdStr = GetVariable(constants.Target3CallUidVarName);
if callIdStr ~= "" then
	local callId = tonumber(callIdStr)
	local callState = GetCallState(callId)
	if callState == 6 then
		SwitchAudioSource2(callId, "aufile", "gong.wav")
		callCount = callCount + 1
	end
end

callIdStr = GetVariable(constants.Target4CallUidVarName);
if callIdStr ~= "" then
	local callId = tonumber(callIdStr)
	local callState = GetCallState(callId)
	if callState == 6 then
		SwitchAudioSource2(callId, "aufile", "gong.wav")
		callCount = callCount + 1
	end
end


if callCount > 0 then
	SetButtonDown(constants.BtnGongId, 1)
else
	if GetButtonDown(constants.BtnGongId) == 1 then
		SetButtonDown(constants.BtnGongId, 0)
		SetVariable(constants.GongDefaultVarName, "0")
		print("Default gong set to OFF\n")
	else
		SetButtonDown(constants.BtnGongId, 1)
		SetVariable(constants.GongDefaultVarName, "1")
		print("Default gong set to ON\n")
	end
end

